Get all charge split schemas Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/charge-split-schema

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[name] string

    Name to filter by

  • filter[valid_for_advisers] boolean

    Only include charge split schemas which are valid for advisers

  • filter[valid_for_clients] boolean

    Only include charge split schemas which are valid for clients

  • filter[valid_for_introducers] boolean

    Only include charge split schemas which are valid for introducers

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name]. Negative sign to denote DESC. Defaults to 'name'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • name string

        Introducer split name

      • min_percentage integer

        Minimum percentage of overall charge introducer can be entitled to

      • max_percentage integer

        Maximum percentage of overall charge introducer can be entitled to

      • default_percentage integer

        Default percentage of overall charge introducer can be entitled to. Must be between minimum and maximum

      • percentage_paid_by_firm integer

        Percentage of the introducer's cut of the expected amount to be paid by the firm

      • percentage_paid_by_adviser integer

        Percentage of the introducer's cut of the expected amount to be paid by the selling adviser

      • can_change_transfer_fci boolean

        Whether the value for FCI contributions can be changed. Will only apply to advisers

      • default_transfer_fci boolean

        Default value to whether the introducer will be recognised for FCI contributions. Will only apply to advisers

      • can_change_initial boolean

        Whether the value for initial charges can be changed

      • default_initial boolean

        Default value to whether this charge split schema will be applied to initial charges

      • can_change_ongoing boolean

        Whether the value for ongoing charges can be changed

      • default_ongoing boolean

        Default value to whether this charge split schema will be applied to ongoing charges

      • valid_for_advisers boolean

        Whether this charge split schema can be applied for adviser accounts

      • valid_for_clients boolean

        Whether this charge split schema can be applied for client accounts

      • valid_for_introducers boolean

        Whether this charge split schema can be applied for introducer accounts

      • visible_to_advisers boolean

        Whether this charge split schema is visible to advisers to use

GET /api/v1/charge-split-schema
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/charge-split-schema' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "5502c89e-f9fa-4dac-88d3-ba5e28ef78ab",
      "created_at": "2026-06-09T14:10:15+01:00",
      "updated_at": "2026-06-09T14:10:15+01:00",
      "name": "Basic Introducer Rate",
      "min_percentage": 10,
      "max_percentage": 20,
      "default_percentage": 15,
      "percentage_paid_by_firm": 25,
      "percentage_paid_by_adviser": 75,
      "can_change_transfer_fci": true,
      "default_transfer_fci": true,
      "can_change_initial": true,
      "default_initial": true,
      "can_change_ongoing": true,
      "default_ongoing": true,
      "valid_for_advisers": true,
      "valid_for_clients": true,
      "valid_for_introducers": true,
      "visible_to_advisers": true
    }
  ]
}